package visitor;

// Ação de alternativa do workflow
public class AlternationAction extends ConditionalAction {

    // Ação realizada caso a condição seja falsa (se for null, nenhuma ação é executada)
    private Action falseAction=null;

    public AlternationAction(Action action, BooleanExpression condition, Action falseAction) {
        super(action, condition);
        this.falseAction = falseAction;
    }

    public AlternationAction(Action action, BooleanExpression condition) {
        super(action, condition);
    }

    public Action getFalseAction() {
        return falseAction;
    }

    // Implementação da operação accept que chama o Visitor
    public void accept(ActionVisitor visitor) {
        visitor.visit(this);
    }
}
