package visitor;

// Implementação de uma ação terminal que realiza um comando
public class CommandAction implements Action {

    // Comando que será executado
    private final Command command;

    public CommandAction(Command command) {
        this.command = command;
    }

    public Command getCommand() {
        return command;
    }

    // Implementação da operação que chama pelo Visitor
    public void accept(ActionVisitor visitor) {
        visitor.visit(this);
    }
}
