package visitor;

// Ação que define uma sequência de duas ações no workflow
public class SequenceAction implements Action {

    // Primeira ação que será executada
    private final Action firstAction;
    // Segunda ação que será executada
    private final Action secondAction;

    public SequenceAction(Action firstAction, Action secondAction) {
        this.firstAction = firstAction;
        this.secondAction = secondAction;
    }

    public Action getFirstAction() {
        return firstAction;
    }

    public Action getSecondAction() {
        return secondAction;
    }

    // Implementação da operação que chama o Visitor
    public void accept(ActionVisitor visitor) {
        visitor.visit(this);
    }
}
