package visitor.expressions;

import visitor.BooleanExpression;
import visitor.contexts.WaterPumperAgent;

public class MaxWaterLevelExpression implements BooleanExpression {

    private final int waterLevel;

    public MaxWaterLevelExpression(int waterLevel) {
        this.waterLevel = waterLevel;
    }

    public boolean evaluate(Object context) {
        WaterPumperAgent agent = (WaterPumperAgent) context;
        return agent.getWaterLevel() < waterLevel;
    }

    public Object getParameter() {
        return this.waterLevel;
    }

}
